Instalar o Pencil no Ubuntu 11.04 Natty

oraculum

Tagged: , ,

PictureHandler

Pencil é um aplicativo usado pela equipe de planejamento de desenvolvimento do Ubuntu para desenhar as interfaces de usuários, ele foi desenvolvido para trabalhar como uma extensão do Firefox porém logo foi estendido para as versões desktop.

PictureHandler
PictureHandler

Ele é bem fácil de trabalhar então nem vou entrar no mérito de como usá-lo esse artigo visa apenas corrigir um bug que ocorre em sua instalação nas versões mais novas do ubuntu da 11.04 Natty.

Você pode baixar o instalador nesse link, depois é só fazer no terminal:

sudo dpkg -i *.deb

depois é só executar o programa, mas aí que está o problema se você estiver numa versão superior ou igual a 11.04 do ubuntu o programa simplesmente não abre e não apresenta nenhuma mensagem de erro na tela.

dai tentei rodá-lo via terminal e consegui identificar o erro:

$ sudo evoluspencil

Error: Platform version '2.0' is not compatible with
minVersion >= 1.9.1
maxVersion <= 1.9.2.*

Isso ocorre porque nessas versões mais novas do ubuntu o xulrunner instalado é o da versão 2.0 para resolver o problema precisamos de remover o 2.0 e instalar a versão 1.9.2, veja como:

sudo aptitude purge xulrunner-2.0

confirme a remoção dos outros pacotes que estão como dependentes.

instale a versão 1.9.2

sudo aptitude install xulrunner-1.9.2

Pronto agora é só abrir o atalho que o Pencil estará funcionando normalmente.

ubuntu
ubuntu
Share Button

One Comment

  1. Jhonathas S Matos

    Funcionou perfeitamente, porém aqui nem a versão 2.0 estava instalado, bastou eu instalar a versão apresentada pelo apt-get e tudo correu normal.

    Reply

Leave a Reply